## python-certbot-dns-standalone 1.0.3

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = certbot-dns-standalone
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-certbot-dns-standalone (1.0.3-3) unstable; urgency=medium

  * Team upload.
  * Bump dependency requirements (Closes: #1025408)
  * Run wrap-and-sort

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 07 Dec 2022 22:42:28 -0500

python-certbot-dns-standalone (1.0.3-2) unstable; urgency=medium

  * Source only upload.

 -- Linus Vanas <linus@vanas.fi>  Mon, 22 Nov 2021 10:12:39 +0200

python-certbot-dns-standalone (1.0.3-1) unstable; urgency=medium

  * Initial release. Closes: #993066

 -- Linus Vanas <linus@vanas.fi>  Wed, 13 Oct 2021 09:59:37 +0300

=== debian/control ===
Source: python-certbot-dns-standalone
Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
Uploaders: Linus Vanas <linus@vanas.fi>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-acme-abi-2,
               python3-certbot-abi-2,
               python3-setuptools
Standards-Version: 4.6.0
Homepage: https://github.com/siilike/certbot-dns-standalone
Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-standalone.git
Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-standalone
Rules-Requires-Root: no

Package: python3-certbot-dns-standalone
Architecture: all
Depends: certbot,
         python3-acme-abi-2,
         python3-certbot-abi-2,
         ${misc:Depends},
         ${python3:Depends}
Enhances: certbot
Description: Standalone DNS Authenticator plugin for Certbot
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This agent is used to:
 .
   - Automatically prove to the Let's Encrypt CA that you control the website
   - Obtain a browser-trusted certificate and set it up on your web server
   - Keep track of when your certificate is going to expire, and renew it
   - Help you revoke the certificate if that ever becomes necessary.
 .
 This package contains a plugin that uses an integrated DNS server to respond
 to the _acme-challenge records.

## python-certbot-dns-standalone 1.1

=== debian/changelog ===
python-certbot-dns-standalone (1.1-3) unstable; urgency=medium

  * Team upload
  * d/watch: newer packages use an underscore
  * Bump dependency requirements (Closes: #1106480)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 24 May 2025 23:04:47 -0400

python-certbot-dns-standalone (1.1-2) unstable; urgency=medium

  * Remove dependency on python3-mock (Closes: #1064262)
  * Bump Standards-Version to 4.6.2 (no changes)

 -- Linus Vanas <linus@vanas.fi>  Tue, 20 Feb 2024 14:13:47 +0200

python-certbot-dns-standalone (1.1-1) unstable; urgency=medium

  * New upstream version 1.1
  * Bump Standards-Version to 4.6.1 (no changes)

 -- Linus Vanas <linus@vanas.fi>  Fri, 16 Dec 2022 16:22:38 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
-               python3-acme-abi-2,
-               python3-certbot-abi-2,
+               python3-acme-abi-4,
+               python3-certbot-abi-4,
                python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/siilike/certbot-dns-standalone
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-standalone.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-standalone
@@ -18,8 +18,8 @@
 Package: python3-certbot-dns-standalone
 Architecture: all
 Depends: certbot,
-         python3-acme-abi-2,
-         python3-certbot-abi-2,
+         python3-acme-abi-4,
+         python3-certbot-abi-4,
          ${misc:Depends},
          ${python3:Depends}
 Enhances: certbot

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = certbot-dns-standalone
export PYBUILD_DISABLE = test

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://pypi.debian.net/certbot-dns-standalone/certbot_dns_standalone-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-certbot-dns-standalone 1.2.1

=== debian/changelog ===
python-certbot-dns-standalone (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
    - Rebase remove-mock-dependency.patch
  * Remove dependency on python3-pkg-resources (Closes: #1083619)
  * Bump Standards-Version to 4.7.3
    - Drop default-valued Priority and Rules-Requires-Root debian/control fields

 -- Linus Vanas <linus@vanas.fi>  Tue, 27 Jan 2026 15:14:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: python-certbot-dns-standalone
-Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
+Maintainer: Debian Let's Encrypt Team <team+letsencrypt@tracker.debian.org>
 Uploaders: Linus Vanas <linus@vanas.fi>
 Section: python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-acme-abi-4,
                python3-certbot-abi-4,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/siilike/certbot-dns-standalone
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-standalone.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-standalone
-Rules-Requires-Root: no
 
 Package: python3-certbot-dns-standalone
 Architecture: all
